Python
from superu import SuperU
client = SuperU("YOUR_SUPERU_API_KEY")
payload = {
"page": 1,
"limit": 20,
"search_query": ""
}
response = client.agents.list(**payload)
print(response)curl --request POST \\
--url https://voip-middlware.superu.ai/agent/list?page=1&limit=20 \\
--header 'superU-Api-Key: YOUR_SUPERU_API_KEY' \\
--data '{
"search_query": ""
}'{
"agents": [
{
"id": "699702113f3323a52636240b",
"name": "Hospitality Reservation Booking Agent",
"status": "active",
"voice_id": "CwhRBWXzGAHq8TQ4Fs17",
"industry": "Hospitality",
"useCase": "Spa Reservations",
"type": "inbound",
"created_date": "2026-02-19",
"assistant_id": "d4afb99c-fb12-40bb-8cea-9d7bba7bf176",
"first_message": "Hello, this is OceanVista Resort and Spa. I can help you with bookings, changes, or any questions. How would you like me to help you today?"
}
],
"pagination": {
"total_agents": 1,
"current_page": 1,
"total_pages": 1,
"items_per_page": 1,
"has_next": false,
"has_previous": false
}
}{
"status": "error",
"code": "BAD_REQUEST",
"message": "Request validation failed."
}{
"status": "error",
"code": "UNAUTHORIZED",
"message": "Invalid or missing superU-Api-Key."
}{
"status": "error",
"code": "NOT_FOUND",
"message": "Resource not found."
}{
"status": "error",
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected server error occurred."
}{
"status": "error",
"code": "NOT_IMPLEMENTED",
"message": "This endpoint is not implemented for your workspace."
}Agents
List agents
Lists agents with pagination and optional filters.
POST
/
agent
/
list
Python
from superu import SuperU
client = SuperU("YOUR_SUPERU_API_KEY")
payload = {
"page": 1,
"limit": 20,
"search_query": ""
}
response = client.agents.list(**payload)
print(response)curl --request POST \\
--url https://voip-middlware.superu.ai/agent/list?page=1&limit=20 \\
--header 'superU-Api-Key: YOUR_SUPERU_API_KEY' \\
--data '{
"search_query": ""
}'{
"agents": [
{
"id": "699702113f3323a52636240b",
"name": "Hospitality Reservation Booking Agent",
"status": "active",
"voice_id": "CwhRBWXzGAHq8TQ4Fs17",
"industry": "Hospitality",
"useCase": "Spa Reservations",
"type": "inbound",
"created_date": "2026-02-19",
"assistant_id": "d4afb99c-fb12-40bb-8cea-9d7bba7bf176",
"first_message": "Hello, this is OceanVista Resort and Spa. I can help you with bookings, changes, or any questions. How would you like me to help you today?"
}
],
"pagination": {
"total_agents": 1,
"current_page": 1,
"total_pages": 1,
"items_per_page": 1,
"has_next": false,
"has_previous": false
}
}{
"status": "error",
"code": "BAD_REQUEST",
"message": "Request validation failed."
}{
"status": "error",
"code": "UNAUTHORIZED",
"message": "Invalid or missing superU-Api-Key."
}{
"status": "error",
"code": "NOT_FOUND",
"message": "Resource not found."
}{
"status": "error",
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected server error occurred."
}{
"status": "error",
"code": "NOT_IMPLEMENTED",
"message": "This endpoint is not implemented for your workspace."
}Authorizations
Your SuperU API key.
Query Parameters
Page number
Required range:
x >= 1Example:
1
Number of items per page
Required range:
1 <= x <= 100Example:
20
Body
application/json
Request body for List agents.
Agent List Request schema.
Optional text filter
Example:
""

